Host.Status (OpenNebula Cloud API)
Description: declaration: package: org.opennebula.client.host, class: Host, enum: Status

Package org.opennebula.client.host

# Enum Class Host.Status

java.lang.Object
java.lang.Enum<Host.Status>
org.opennebula.client.host.Host.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Host.Status>`, `Constable`

Enclosing class:
  Host

public static enum Host.Status extends Enum<Host.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DISABLED`
  `ENABLED`
  `OFFLINE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `code()`
  `static Host.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Host.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENABLED

    public static final Host.Status ENABLED

  - ### DISABLED

    public static final Host.Status DISABLED

  - ### OFFLINE

    public static final Host.Status OFFLINE

- ## Method Details

  - ### values

    public static Host.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Host.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### code

    public int code()